You are here: Home / Products / GS-911 / Support / Frequently Asked Questions (FAQs) / Why does the PC software say my GS-911 does not support my new bike model and I need to use the GS-911wifi?

Why does the PC software say my GS-911 does not support my new bike model and I need to use the GS-911wifi?

« Back to Table of Contents

Our first generation, yellow GS-911 USB and Bluetooth interfaces are not compatible with the newer K001 chassis BMW bike models. Unfortunately, BMW has changed the diagnostic connector and protocol for these newer bikes and this means that our older interfaces can never be compatible with them. You can read more about this in another FAQ page.

We would have preferred to just release a firmware update, but since hardware changes were required, we had to invest in developing the new GS-911wifi to support these bike models. We used this opportunity to create a hardware interface that can be used with more client platforms through a web browser user interface in addition to the existing GS-911 Windows PC application. At the time of writing this, the GS-911wifi is the only interface we offer that is compatible with the K001 bikes. You can see more information about which bike models are supported by our different interfaces on the function chart.

The GS-911 Windows PC software will give you a message, saying "This GS-911 interface does not support the selected bike model, please use the GS-911wifi interface" if you try to use an older yellow GS-911 interface with a newer bike model.

We are not able to provide upgrades or replacements for used devices, but many of our customers have sold their older yellow GS-911 interfaces second-hand to supplement the cost of a new GS-911wifi. If you no longer have a use for your older interface, you can consider doing the same.